[bdist_rpm]
requires = Django => 1.8
	django-tagging
	carbon
	whisper
	ceres
	mod_wsgi
	pycairo
	pycairo-devel
	python-hashlib
	pytz
	pyparsing
	scandir
post-install = distro/redhat/misc/postinstall
provides = graphite
obsoletes = graphite <= 0.9.9

[flake8]
exclude = .tox
per-file-ignores = 
	webapp/graphite/util.py:E111,E114
	webapp/graphite/browser/views.py:E111,E114
	webapp/graphite/metrics/views.py:E111,E114
	webapp/graphite/dashboard/views.py:E111,E114
	webapp/graphite/render/evaluator.py:E111,E114
	webapp/graphite/render/functions.py:E111,E114
	webapp/graphite/render/datalib.py:E111,E114
	webapp/graphite/render/glyph.py:E111,E114
	webapp/graphite/render/views.py:E111,E114
	webapp/tests/test_tags.py:E111,E114
	webapp/tests/test_storage.py:E111,E114
	webapp/tests/test_render_glyph.py:E111,E114
	webapp/tests/test_render_datalib.py:E111,E114
	webapp/tests/test_finders_remote.py:E111,E114
	contrib/memcache_whisper.py:E111,E114
ignore = 
	E121,
	E126,
	E128,
	E201,
	E202,
	E203,
	E221,
	E222,
	E225,
	E226,
	E231,
	E241,
	E251,
	E261,
	E262,
	E265,
	E266,
	E501,
	W504,
	E701,
	E731,

[install]
prefix = /opt/graphite
install-lib = %(prefix)s/webapp

